summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-11 14:56:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:14 +0200
commit8f1cee2dc2fe601c59f7e7cc352227c2ce193e3c (patch)
tree74ae65d53bcef5297af96aa25ba23fa629160690
parenta00834f93284ba892c9b77fd6e2f04f8379b181c (diff)
downloadslackbuilds-8f1cee2dc2fe601c59f7e7cc352227c2ce193e3c.tar.gz
slackbuilds-8f1cee2dc2fe601c59f7e7cc352227c2ce193e3c.tar.xz
libraries/glibmm: Initial import
-rw-r--r--libraries/glibmm/README6
-rw-r--r--libraries/glibmm/glibmm.SlackBuild76
-rw-r--r--libraries/glibmm/glibmm.info8
-rw-r--r--libraries/glibmm/slack-desc9
4 files changed, 99 insertions, 0 deletions
diff --git a/libraries/glibmm/README b/libraries/glibmm/README
new file mode 100644
index 0000000000..006191d92a
--- /dev/null
+++ b/libraries/glibmm/README
@@ -0,0 +1,6 @@
+glibmm is a set of C++ bindings for glib, including cross- platform
+APIs such as a std::string-like UTF8 string class, string utility
+methods, such as a text encoding converter API, file access,
+and threads.
+
+This requires libsigc++ (also available from slackbuilds.org)
diff --git a/libraries/glibmm/glibmm.SlackBuild b/libraries/glibmm/glibmm.SlackBuild
new file mode 100644
index 0000000000..c2da05d444
--- /dev/null
+++ b/libraries/glibmm/glibmm.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for glibmm 2.12.4
+
+# Copyright (C) 2006 paul wisehart wise@lupulin.net
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PKGNAME=glibmm
+VERSION=2.12.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp} # Final location of package
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PKGNAME-$VERSION
+tar -xvzf $CWD/$PKGNAME-$VERSION.tar.gz || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+rw,go-w+r .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+mv $PKG/usr/share/doc/glibmm-2.4/* $PKG/usr/doc/$PKGNAME-$VERSION
+rm -rf $PKG/usr/share/doc
+cp -a AUTHORS COPYING CHANGES ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+# Remove the API docs
+rm -rf $PKG/usr/doc/$PKGNAME-$VERSION/docs
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/glibmm/glibmm.info b/libraries/glibmm/glibmm.info
new file mode 100644
index 0000000000..32ce44c049
--- /dev/null
+++ b/libraries/glibmm/glibmm.info
@@ -0,0 +1,8 @@
+PRGNAM="glibmm"
+VERSION="2.12.4"
+HOMEPAGE="http://www.gtkmm.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.12/glibmm-2.12.4.tar.gz"
+MD5SUM="0b655136ef378b073351160a7d8ff48f"
+MAINTAINER="paul wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="rworkman"
diff --git a/libraries/glibmm/slack-desc b/libraries/glibmm/slack-desc
new file mode 100644
index 0000000000..c0b072bc32
--- /dev/null
+++ b/libraries/glibmm/slack-desc
@@ -0,0 +1,9 @@
+glibmm: glibmm
+glibmm:
+glibmm: glibmm is a set of C++ bindings for glib, including cross- platform
+glibmm: APIs such as a std::string-like UTF8 string class, string utility
+glibmm: methods, such as a text encoding converter API, file access,
+glibmm: and threads.
+glibmm:
+glibmm:
+glibmm: